<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Classwork</title>
</head>
<body>
    <script>
        /* ЗАДАНИЕ №1
        Перепишите if с использованием оператора ? 

            if(a + b < 4) {
                result = "Мало";
            } else {
                result = "Много";
            }
        
        */

        let a1 = parseInt(prompt("Введите число а1 = ", ""));
        let b1 = parseInt(prompt("Введите число b1 = ", ""));
        const result = a1 + b1 < 4 ? 'Мало' : 'Много';
        console.log(result);
        
        /* ЗАДАНИЕ №2 
        Перепшитие if..else с использованием нескольких операторов ?  

            var message;
            if(login == 'Вася') {
                message = 'Привет.';
            } else if(login == 'Директор') {
                message = 'Здравствуйте.';
            } else if(login == '') {
                message = 'Нет логина.';
            } else {
                message = '';
            }

        */

        let message;
        let login = prompt("Введите ваш логин: ", "");
        message = login == "Вася" ? 'Привет.' : login == "Директор" ? 'Здравствуйте.' : login == '' ? 'Нет логина.' : '';
        console.log(message);
        
        /*  ЗАДАНИЕ №3 
        Дано 2 числа - а2 и b2, где b2 > a2. 
        Выведите сумму всех чисел, расположенных в числовом промежутке от а2 до b2. 
        Выведите на жкран все нечётные числа, расположенные в числовом промежутке от а2 до b2. 
        */

        let a2 = parseInt(prompt("Введите чисто а2: ", ""));
        let b2 = parseInt(prompt("Введите чисто b2: ", ""));
        let res = 0, counter = 0;
        for(a2 = a2 + 1; a2 < b2; a2++) {
            res = res + a2;
            if(res & 2 != 0) {
                console.log("Итерация №" + ++counter + ", нечётное число = " + res);
            }
        }


        /* ЗАДАНИЕ №4
        Нарисовать разные фигуры используя символы "*" и "$".
        */
       /* Прямоугольник */
        document.write("<br><br><b>Прямоугольник:</b><br>");
        for (let i = 1; i <= 10; i++) {
            for(let j = 1; j <= 20; j++) {
                if(j > 1 && j < 20 && i > 1 && i < 10) {
                    document.write(" * ");
                } else {
                document.write(" $ ");
                }
            }
            document.write("<br>");
        }

        /* Прямоугольный треугольник */
        document.write("<br><br><b>Прямоугольный треугольник:</b><br>");
        for (let i = 1; i <= 10; i++) {      
            for(let j = 1; j <= i; j++) {
                document.write(" $ ");
            }
            document.write("<br>");  
        }

        /* Ровносторонний треугольник */
        let n = 0;
        document.write("<br><br><b>Ровносторонний треугольник:</b><br>");
        for(let i = 10; i > 0; i--) {
            for(let j = 0; j < i; j++) {
                document.write(" * ");
            }
            for(let i = 0; i <= n*2; i++) {
                document.write(" $ ");
            }
            document.write("<br>");
            n++;
        }

        /* Ромб */
        document.write("<br><br><b>Ромб:</b><br>");
        let p = 0;
        for (let i = 10; i > 0; i--) {      
            for(let j = 0; j < i; j++) {
                console.log(" ");
            }
            for(let k = 0; k <= p*2; p++) {
                console.log("*");
            }
            document.write("<br>");
            p++;
        }

        for(let i = 0; i <= 10; i++) {
            for(let j = 0; j < i; j++) {
                console.log(" ");
            }
            for(let k = 0; k <= p*2; k++) {
                console.log("*");
            }
            document.write("<br>");
            p--;
        }

    </script>

</body>
</html>
